"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var rand_1 = require("../rand");
var humanize_1 = require("../humanize");
var mistakes_1 = require("../mistakes");
var simulate_1 = require("./simulate");
describe("simulate", function () {
    describe("#generateStrokes", function () {
        beforeAll(function () { return rand_1.initRand("1"); });
        test("generates a score of strokes", function () {
            expect(simulate_1.generateStrokedStream({
                stream: humanize_1.humanize("hello! world!", {
                    mistakes: [{ apply: mistakes_1.repeat, probability: 1 }]
                })
            })).toStrictEqual([
                {
                    character: "h",
                    processedCharacter: { source: "h", transformed: ["h"] }
                },
                {
                    character: "e",
                    processedCharacter: { source: "e", transformed: ["e"] }
                },
                {
                    character: "l",
                    processedCharacter: { source: "l", transformed: ["l"] }
                },
                {
                    character: "l",
                    processedCharacter: { source: "l", transformed: ["l"] }
                },
                {
                    character: "o",
                    processedCharacter: { source: "o", transformed: ["o"] }
                },
                {
                    character: "!",
                    processedCharacter: { source: "!", transformed: ["!"] }
                },
                {
                    character: " ",
                    processedCharacter: { source: " ", transformed: [" "] }
                },
                {
                    character: "d",
                    processedCharacter: { source: "d", transformed: ["d"] }
                },
                {
                    character: "l",
                    processedCharacter: { source: "l", transformed: ["l"] }
                },
                {
                    character: "r",
                    processedCharacter: { source: "r", transformed: ["r"] }
                },
                {
                    character: "o",
                    processedCharacter: { source: "o", transformed: ["o"] }
                },
                {
                    character: "w",
                    processedCharacter: { source: "w", transformed: ["w"] }
                },
                {
                    character: "!",
                    processedCharacter: { source: "!", transformed: ["!", "!", "!"] }
                },
                {
                    character: "!",
                    processedCharacter: { source: "!", transformed: ["!", "!", "!"] }
                },
                {
                    character: "!",
                    processedCharacter: { source: "!", transformed: ["!", "!", "!"] }
                }
            ]);
        });
    });
});
